--Copyright 1986-2017 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2017.4 (lin64) Build 2086221 Fri Dec 15 20:54:30 MST 2017
--Date        : Wed Jan 17 19:05:06 2018
--Host        : roland-i5 running 64-bit Ubuntu 16.04.3 LTS
--Command     : generate_target bin27seg.bd
--Design      : bin27seg
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity bin27seg is
  port (
    an : out STD_LOGIC_VECTOR ( 3 downto 0 );
    bin0 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    bin1 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    bin2 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    bin3 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    dp : out STD_LOGIC;
    mclk : in STD_LOGIC;
    seg : out STD_LOGIC_VECTOR ( 6 downto 0 )
  );
  attribute CORE_GENERATION_INFO : string;
  attribute CORE_GENERATION_INFO of bin27seg : entity is "bin27seg,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bin27seg,x_ipVersion=1.00.a,x_ipLanguage=VHDL,numBlks=7,numReposBlks=7,numNonXlnxBlks=0,numHierBlks=0,maxHierDepth=0,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=5,numPkgbdBlks=0,bdsource=USER,synth_mode=OOC_per_IP}";
  attribute HW_HANDOFF : string;
  attribute HW_HANDOFF of bin27seg : entity is "bin27seg.hwdef";
end bin27seg;

architecture STRUCTURE of bin27seg is
  component bin27seg_sevensegdecoder_0_0 is
  port (
    nIn : in STD_LOGIC_VECTOR ( 3 downto 0 );
    ssOut : out STD_LOGIC_VECTOR ( 6 downto 0 )
  );
  end component bin27seg_sevensegdecoder_0_0;
  component bin27seg_mux4_4bus_0_0 is
  port (
    I0 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    I1 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    I2 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    I3 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    I4 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    I5 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    I6 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    I7 : in STD_LOGIC_VECTOR ( 3 downto 0 );
    Sel : in STD_LOGIC_VECTOR ( 2 downto 0 );
    Y : out STD_LOGIC_VECTOR ( 3 downto 0 )
  );
  end component bin27seg_mux4_4bus_0_0;
  component bin27seg_segClkDevider_0_0 is
  port (
    clk : in STD_LOGIC;
    rst : in STD_LOGIC;
    clk_div : out STD_LOGIC
  );
  end component bin27seg_segClkDevider_0_0;
  component bin27seg_decoder_3_8_0_0 is
  port (
    I : in STD_LOGIC_VECTOR ( 2 downto 0 );
    an : out STD_LOGIC_VECTOR ( 3 downto 0 );
    dp : out STD_LOGIC
  );
  end component bin27seg_decoder_3_8_0_0;
  component bin27seg_xlconstant_0_0 is
  port (
    dout : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component bin27seg_xlconstant_0_0;
  component bin27seg_xlconstant_0_1 is
  port (
    dout : out STD_LOGIC_VECTOR ( 3 downto 0 )
  );
  end component bin27seg_xlconstant_0_1;
  component bin27seg_counter3bit_0_1 is
  port (
    clk : in STD_LOGIC;
    rst : in STD_LOGIC;
    Q : out STD_LOGIC_VECTOR ( 2 downto 0 )
  );
  end component bin27seg_counter3bit_0_1;
  signal I0_0_1 : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal I1_0_1 : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal I2_0_1 : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal I3_0_1 : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal Net : STD_LOGIC_VECTOR ( 0 to 0 );
  signal counter3bit_0_Q : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal decoder_3_8_0_an : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal decoder_3_8_0_dp : STD_LOGIC;
  signal mclk_0_1 : STD_LOGIC;
  signal mux4_4bus_0_Y : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal segClkDevider_0_clk_div : STD_LOGIC;
  signal sevensegdecoder_0_ssOut : STD_LOGIC_VECTOR ( 6 downto 0 );
  signal xlconstant_1_dout : STD_LOGIC_VECTOR ( 3 downto 0 );
  attribute X_INTERFACE_INFO : string;
  attribute X_INTERFACE_INFO of mclk : signal is "xilinx.com:signal:clock:1.0 CLK.MCLK CLK";
  attribute X_INTERFACE_PARAMETER : string;
  attribute X_INTERFACE_PARAMETER of mclk : signal is "XIL_INTERFACENAME CLK.MCLK, CLK_DOMAIN bin27seg_clk_0, FREQ_HZ 100000000, PHASE 0.000";
begin
  I0_0_1(3 downto 0) <= bin0(3 downto 0);
  I1_0_1(3 downto 0) <= bin1(3 downto 0);
  I2_0_1(3 downto 0) <= bin2(3 downto 0);
  I3_0_1(3 downto 0) <= bin3(3 downto 0);
  an(3 downto 0) <= decoder_3_8_0_an(3 downto 0);
  dp <= decoder_3_8_0_dp;
  mclk_0_1 <= mclk;
  seg(6 downto 0) <= sevensegdecoder_0_ssOut(6 downto 0);
counter3bit_0: component bin27seg_counter3bit_0_1
     port map (
      Q(2 downto 0) => counter3bit_0_Q(2 downto 0),
      clk => segClkDevider_0_clk_div,
      rst => Net(0)
    );
decoder_3_8_0: component bin27seg_decoder_3_8_0_0
     port map (
      I(2 downto 0) => counter3bit_0_Q(2 downto 0),
      an(3 downto 0) => decoder_3_8_0_an(3 downto 0),
      dp => decoder_3_8_0_dp
    );
mux4_4bus_0: component bin27seg_mux4_4bus_0_0
     port map (
      I0(3 downto 0) => I0_0_1(3 downto 0),
      I1(3 downto 0) => I1_0_1(3 downto 0),
      I2(3 downto 0) => I2_0_1(3 downto 0),
      I3(3 downto 0) => I3_0_1(3 downto 0),
      I4(3 downto 0) => xlconstant_1_dout(3 downto 0),
      I5(3 downto 0) => xlconstant_1_dout(3 downto 0),
      I6(3 downto 0) => xlconstant_1_dout(3 downto 0),
      I7(3 downto 0) => xlconstant_1_dout(3 downto 0),
      Sel(2 downto 0) => counter3bit_0_Q(2 downto 0),
      Y(3 downto 0) => mux4_4bus_0_Y(3 downto 0)
    );
segClkDevider_0: component bin27seg_segClkDevider_0_0
     port map (
      clk => mclk_0_1,
      clk_div => segClkDevider_0_clk_div,
      rst => Net(0)
    );
sevensegdecoder_0: component bin27seg_sevensegdecoder_0_0
     port map (
      nIn(3 downto 0) => mux4_4bus_0_Y(3 downto 0),
      ssOut(6 downto 0) => sevensegdecoder_0_ssOut(6 downto 0)
    );
xlconstant_0: component bin27seg_xlconstant_0_0
     port map (
      dout(0) => Net(0)
    );
xlconstant_1: component bin27seg_xlconstant_0_1
     port map (
      dout(3 downto 0) => xlconstant_1_dout(3 downto 0)
    );
end STRUCTURE;
